<?php

namespace Drupal\config_enforce\Form;

use Drupal\config_enforce\Form\AbstractConfigEnforceForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Defines a form for the Config Enforce module.
 */
class ConfigEnforceForm extends AbstractConfigEnforceForm {

  const FORM_ID = 'config_enforce';

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {

    $this->setSharedObjectProperties($form, $form_state);

    $this->makeFormFloat();

    $this->addEnforcementWarning();

    $this->addConfigFormInfo();

    return $this->form;
  }

  /**
   * Warn users of possible data loss.
   */
  protected function addEnforcementWarning() {
    $message = 'Configuration from this form is being enforced. Any changes may be lost.';
    $tokens = [];
    $this->addWarning($message, $tokens);
  }

}
